### Function

# Vips tracked_close

#### Declaration [src]

    int
    vips_tracked_close (
      int fd
    )

#### Description [src]

Exactly as `close()`, but update the number of files currently open via `vips_tracked_get_files()`. This is used by the vips operation cache to drop cache when the number of files available is low.

You must only close file descriptors opened with `vips_tracked_open()`.

See also

`vips_tracked_open()`, `vips_tracked_get_files()`.

#### Parameters

`fd`

  Type: `int`

  File to `close()`.

#### Return value

Type: `int`

A file descriptor, or -1 on error.